2010-04-03  Ankit Jain  <jankit@novell.com>

	* Makefile: Process tools/xbuild for 3.5 also.

2010-03-16  Jb Evain  <jbevain@novell.com>

	* Makefile: rename the net_2_1 profile to moonlight.

2010-03-03  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* Makefile: Make basic the bootstrapping profile for net_2_1_bootstrap.

2010-03-03  Atsushi Enomoto  <atsushi@ximian.com>

	* docs/Makefile : drop Mono.Data.SqliteClient.

2010-02-28  Miguel de Icaza  <miguel@novell.com>

	* docs/Makefile: install during the 4.0 build now.

	* Makefile: Process `docs' now on the 4.0 profile.

2010-01-25  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile : finally System.ServiceModel.dll is on the centum tests.

2009-10-01  Marek Safar  <marek.safar@gmail.com>

	* Makefile: Removed net_1_1 bootstrap.

2009-09-07  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile: add some WCF assemblies to centum_tests.

2009-07-21  Jb Evain  <jbevain@novell.com>

	* Makefile: specify bootstrap and SUBDIRS for the monotouch profile.

2009-07-16  Raja R Harinath  <harinath@hurrynot.org>

	Improve coarse-grain parallelism in the build
	* Makefile (_boot_:net_2_0_bootstrap): Depend on
	'net_1_1_bootstrap' profile, rather than 'net_1_1'.

2009-07-10  Atsushi Enomoto  <atsushi@ximian.com>

	* nunit20 : removed old framework.

2009-06-07  Marek Safar  <marek.safar@gmail.com>

	* Makefile: Add net_4_0* profiles.

2009-02-24  Jonathan Pryor  <jpryor@novell.com>

	* docs/Makefile: Remove and don't install nunit-docs.source.  As
	  Atsushi Enomoto said on 2008-11-26, Mono's NUnit is for internal use
	  only, and installing nunit-docs.source causes an warning message
	  during monodoc startup.
	* docs/nunit-docs.source: Remove.

2009-02-03  Rodrigo Kumpera  <rkumpera@novell.com>

	* docs/Makefile: Fix install-local and uninstall-local if
	DISABLE_MCS_DOCS is defined.

2009-02-02  Rodrigo Kumpera  <rkumpera@novell.com>

	* docs/Makefile: Don't build build-documentation if DISABLE_MCS_DOCS
	is defined.

2009-01-31  Rodrigo Kumpera  <rkumpera@novell.com>

	* docs/Makefile: use -f with rm on the clean target so
	rm doesn't complain about missing files.

2008-12-10  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile : remove sys.messaging from CENTUM_TESTS. It has never
	  been supported, and now, it's heavily developed.

2008-12-08  Jonathan Pryor  <jpryor@novell.com>

	* docs/monodoc.xml: Rename the "File Formats" node to "Commands and
	  Files", so that ~all man pages can be under the same node.
	* docs/lang-csharp.source: Since C# is the only current language, move
	  the child nodes "up" a node so we have "Languages/C# Compiler Error
	  Reference" and "Languages/C# Language Specification" nodes.

2008-12-02  Jonathan Pryor  <jpryor@novell.com>

	* docs/Makefile: Build additional directories (Npgsql,
	  System.Configuration.Install, System.Design, System.Runtime.Remoting,
	  System.Runtime.Serialization.Formatters.Soap); shorten entries.

2008-11-26  Atsushi Enomoto  <atsushi@ximian.com>

	* docs/Makefile: remove nunit docs that do not exist (and I don't
	  think such docs for private mono use should be provided).

2008-11-26  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile : I happened to remove errors and docs which
	  used to be broken.

2008-11-25  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile : replace nunit20 with nunit24.

2008-11-18  Jonathan Pryor  <jpryor@novell.com>

	* docs/Makefile: Don't build mono-file-formats.*, mono-tools.*
	* docs/mono-file-formats.config, docs/mono-file-formats.source, 
	  docs/mono-tools.config, docs/mono-tools.source: Removed (now located 
	  in mono/docs).

2008-11-02  Jonathan Pryor  <jpryor@novell.com>

	* docs/Makefile (MONO_DIRS): Add Mono.Simd.

2008-10-31  Jonathan Pryor  <jpryor@novell.com>

	* docs/Makefile: Restructure the *.tree/*.zip rules to support
	  concurrent builds (`make -jN`).

2008-10-27  Jonathan Pryor  <jpryor@novell.com>

	* docs/Makefile (DISTFILES): Add mono-file-formats.config.

2008-10-22  Jonathan Pryor  <jpryor@novell.com>

	* docs (svn:ignore): Ignore generated files.
	* docs/lang-csharp.source: Added; combined .source file for the C#
	  language specification and error reference.
	* docs/Makefile: Support lang-csharp.source, mono-file-formats.*, etc.
	* *.tree/*.zip should be rebuilt when Makefile is changed.
	* docs/mono-file-formats.config, docs/mono-file-formats.source: Added;
	  moving file format documentation out from mono-tools.* so that it's
	  easier to find.
	* docs/mono-tools.config: Move mdoc(5), mono-config(5) to
	  mono-file-formats.config.
	* docs/mono-tools.source, docs/Mono.source, docs/netdocs.source,
	  docs/Novell.source, docs/nunit-docs.source: Add /monodoc/node
	  information so that the documentation is inserted into the correct
	  location.
	* docs/monodoc.xml: Vastly simplify the default monodoc.xml as
	  structure can be/has been pushed out into the .source files.  This
	  should help simplify the life of downstream packagers who wish to
	  add additional documentation to monodoc.
	* docs/ecma334.source, docs/cs-errors.source: Remove (replaced with
	  lang-csharp.source).

2008-10-20  Jonathan Pryor  <jpryor@novell.com>

	* docs/Makefile (MONO_DIRS): Add Mono.Data.SqliteClient docs.

2008-10-18  Jonathan Pryor  <jpryor@novell.com>

	* docs/Makefile (MONODOC_INSTALL_DIR): Prefix path with $(DESTDIR) so 
	  that it installs properly under the buildbot.

2008-10-18  Raja R Harinath  <harinath@hurrynot.org>

	* docs/Makefile (DISTFILES): Don't use 'find' to list files.

2008-10-18  Raja R Harinath  <harinath@hurrynot.org>

	* Makefile (net_2_0_SUBDIRS): Add 'docs'.
	* docs/Makefile: Build documentation only in the net_2_0 profile.

2008-10-17  Jonathan Pryor  <jpryor@novell.com>

	* docs/Makefile: Add install/uninstall support.

2008-10-17  Jonathan Pryor  <jpryor@novell.com>

	* docs/Makefile: Assemble documentation.
	* docs/cs-errors.config: Update to refer to correct directory.
	* docs/mono-tools.config: Man pages are in mono/man now...

2008-10-08  Zoltan Varga  <vargaz@gmail.com>

	* README: Update after the profile changes.

	* Makefile */Makefile build/profiles/*.make: Rename the 'default'
	profile to 'net_1_1'.

2008-05-14  Marek Safar  <marek.safar@gmail.com>

	* Makefile: Enabled more tests.

2008-02-18  Raja R Harinath  <harinath@hurrynot.org>

	* Makefile (net_2_0_centum_tests): Add System.Xml.Linq here.

2008-02-17  Raja R Harinath  <harinath@hurrynot.org>

	* Makefile (_boot_): Orchestrate the net_2_1 bootstrap.
	(net_2_1_bootstrap_SUBDIRS, net_2_1_raw_SUBDIRS): New.

2008-02-06  Zoltan Varga  <vargaz@gmail.com>

	* Makefile (dir-check): Hopefully fix make dist.

2008-02-05  Zoltan Varga  <vargaz@gmail.com>

	* Makefile: Abort with an error message if make is typed directly in this
	directory, instead from the 'mono' directory.

2007-12-06  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile: currently Sys.Web.Extensions is not ready for
	  centum_tests.

2007-12-04  Marek Safar  <marek.safar@gmail.com>

	* Makefile: Added more tests.

2007-12-03  Marek Safar  <marek.safar@gmail.com>

	* Makefile: Added 3.5 profile, it probably not used here.

2007-11-28  Raja R Harinath  <harinath@gmail.com>

	* Makefile (_boot_): Incorporate 'net_2_1' into the bootstrap
	process -- it depends on 'net_2_0' profile being built.

2007-07-27  Marek Safar  <marek.safar@gmail.com>

	* Makefile: Removed gmcs and smcs, removed DIST_ONLY_SUBDIRS.

2007-07-27  Jb Evain  <jbevain@novell.com>

	* Makefile: integrate the tuner in the build.

2007-07-26  Jb Evain  <jbevain@novell.com>

	* smcs: add a project of its own for the 2.1 compiler.

2007-07-11  Jb Evain  <jbevain@novell.com>

	* Makefile: work on the 2.1 profile.

2007-05-11  Raja R Harinath  <rharinath@novell.com>

	* Makefile (net_2_0_bootstrap_SUBDIRS): Add 'mcs'.

2007-04-18  Marek Habersack  <grendello@gmail.com>

	* Makefile (SUBDIRS): removed tools/culevel, it is now built in
	the 1.1 bootstrap phase.

2007-04-17  Marek Habersack  <mhabersack@novell.com>

	* Makefile (thisdir): added tools/culevel to the list of
	subdirectories - it must be compiled before compiling the classes
	since System.Web depends on it.

2007-04-06  Wade Berrier  <wberrier@novell.com>

	* Makefile: use bzip2 instead of gzip for 'make dist'
	(even though it's not used here anymore)

2006-08-18  Raja R Harinath  <rharinath@novell.com>

	* Makefile (net_2_0_bootstrap_SUBDIRS): Add 'tools'.

2006-04-11  Raja R Harinath  <rharinath@novell.com>

	* Makefile (SUBDIRS): Remove tools/resgen.

2005-11-21  Raja R Harinath  <rharinath@novell.com>

	* Makefile (net_2_0_bootstrap_SUBDIRS): Add ilasm.
	(net_2_0_SUBDIRS): Likewise.

2005-09-22  Raja R Harinath  <rharinath@novell.com>

	* Makefile (basic_SUBDIRS, net_1_1_bootstrap_SUBDIRS)
	(net_2_0_bootstrap_SUBDIRS, net_2_0_SUBDIRS):
	Build the 'build' directory too.

2005-09-21  Raja R Harinath  <rharinath@novell.com>

	* Makefile (centum_tests): Remove System.Web.

2005-09-06  Raja R Harinath  <rharinath@novell.com>

	* Makefile (bootstrap): Remove special handling on Win32.

2005-07-11  Raja R Harinath  <rharinath@novell.com>

	* Makefile (centum_tests): Add System.Messaging and
	System.ServiceProcess.  Remove System.Configuration.Install.
	Move Mono.C5 ...
	(net_2_0_centum_tests): ... here, and disable it for now.

2005-06-20  Raja R Harinath  <rharinath@novell.com>

	* Makefile (centum_tests): Move System.XML ...
	(default_centum_tests): ... here.

2005-06-17  Raja R Harinath  <rharinath@novell.com>

	* Makefile (centum_tests): Add System.XML.

2005-06-10  Sebastien Pouliot  <sebastien@ximian.com>

	* Makefile (centum_tests): Added System.Security.

2005-05-20  Raja R Harinath  <rharinath@novell.com>

	* Makefile (centum_tests): Add System.Web and move corlib from ...
	(default_centum_tests): ... here.

2005-04-25  Raja R Harinath  <rharinath@novell.com>

	* Makefile (centum_tests): Add Mono.Security and
	System.Runtime.Remoting.
	* */Makefile: Replace $(RUNTIME) with $(RUNTIME) $(RUNTIME_FLAGS).

2005-04-21  Raja R Harinath  <rharinath@novell.com>

	* Makefile (net_1_1_bootstrap_SUBDIRS): Add ilasm.

2005-03-14  Raja R Harinath  <rharinath@novell.com>

	* Makefile (_boot_): New.  Used to generalize the bootstrap to
	clean and install too.

2005-02-25  Raja R Harinath  <rharinath@novell.com>

	* Makefile (centum_tests): New list of test subdirs that should
	pass 100%.
	(default_centum_tests, net_2_0_centum_tests): New.
	(ONLY_CENTUM_TESTS): New check.  If defined during 'make
	run-test', only the tests in centum_tests are run.

2004-12-20  Jambunathan K  <kjambunathan@novell.com>

	* btests: Removed. This directory is now superseded by
	mbas/Test.
	
2004-12-13  Raja R Harinath  <rharinath@novell.com>

	* INSTALL.txt: Minor updates to reflect build changes.

2004-11-25  Raja R Harinath  <rharinath@novell.com>

	* Makefile (DISTFILES): Add nunit.key.

2004-11-24  Raja R Harinath  <rharinath@novell.com>

	* Makefile (profiles-do--run-test): Allow list of profiles to be
	overriden.
	(profiles-do--all): Remove.  The default pattern build suffices.

2004-11-22  Raja R Harinath  <rharinath@novell.com>

	* Makefile (OVERRIDE_TARGET_ALL): Remove.
	(all.override): Remove 2-pass build.
	(net_1_1_bootstrap_SUBDIRS): Add 'tools'.

2004-11-22  Raja R Harinath  <rharinath@novell.com>

	* Makefile (profiles-do--all): Don't fallback to default pattern build.

2004-11-19  Raja R Harinath  <rharinath@novell.com>

	* Makefile (net_2_0_SUBDIRS): Add nunit20.

2004-11-19  Raja R Harinath  <rharinath@novell.com>

	* Makefile (%-profiles): Go through an intermediate set of rules.
	Move body to ...
	(profiles-do--%): ... this.
	(profiles-do--run-test): Customized rule that usefully runs with
	'make -j' and 'make -k'.
	(profiles-do--all, profile-do--%--all): Orchestrate the bootstrap
	process.

2004-11-09  Raja R Harinath  <rharinath@novell.com>

	* Makefile (basic_SUBDIRS): New.

2004-11-04  Raja R Harinath  <rharinath@novell.com>

	* Makefile (net_1_1_bootstrap_SUBDIRS): New.
	(all.override): Fix to actually perform optimization to avoid
	the two-pass build if we are not signing assemblies.

2004-10-29  Raja R Harinath  <rharinath@novell.com>

	* Makefile (net_2_0_bootstrap_SUBDIRS,net_2_0_SUBDIRS): New.
	(profile-do--net_2_0_bootstrap--all): New target.
	(profile-do--net_2_0--all): Depend on it.
	(distdir,top_distdir): Remove.
	(dist-tarball): Define distdir here for dist-recursive.

2004-10-21  Raja R Harinath  <rharinath@novell.com>

	* Makefile (all-profiles $(STD_TARGETS:=-profiles)): Make
	parallelizable. 

2004-09-27  Raja R Harinath  <rharinath@novell.com>

	* nunit20/nunit-console/Makefile (PROGRAM): Put in
	profile-specific directory.

2004-09-21  Raja R Harinath  <rharinath@novell.com>

	* Makefile (DIST_ONLY_SUBDIRS): Add 'gmcs' since it is specially
	handled by 'class/corlib/Makefile'.
	(test-installed-compiler): Run compiler tests using the installed
	compiler.

2004-09-14  Raja R Harinath  <rharinath@novell.com>

	* Makefile (SUBDIRS): Allow to be overriden by $(TEST_SUBDIRS).
	(test-profiles, run-test-profiles): New targets.
	(test-compiler): Rename to ...
	(compiler-tests): ... this.  Run tests on all profiles.

2004-09-03  Martin Baulig  <martin@ximian.com>

	* Makefile (test-compiler): New target to run the compiler test.

2004-07-02  Raja R Harinath  <rharinath@novell.com>

	* Makefile (OVERRIDE_BARE_TARGETS): Remove.
	(OVERRIDE_TARGET_ALL): Define.
	(all-recursive,$(STD_TARGETS:=-recursive)): Depend on
	'platform-check' and 'profile-check'.
	(all.override): New.  Run two passes: once to build, and once to
	sign libraries.

2004-06-22  Todd Berman  <tberman@off.net>

	* configure: Patch from Mariano Suárez-Alvarez 
	<msuarezalvarez@arnet.com.ar> to make configure accept jhbuild style
	/prefix /usr options, and to continue past unknown options. Currently
	this patch is a bit spammy with multiple unknown options, anyone
	who is interested is welcome to fix this.

2004-06-14  Raja R Harinath  <rharinath@novell.com>

	* Makefile (all-profiles, clean-profiles): Simplify slightly.

2004-06-05  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile: added target run-test-ondotnet.

2004-05-26  Raja R Harinath  <rharinath@novell.com>

	* nunit20/util/Makefile (EXTRA_DISTFILES): Remove
	Transform.resources.
	($(the_lib)): Make Transform.resources using internal resgen.
	* nunit20/util/Transform.resources: Rebuild.

2004-05-25  Sebastien Pouliot  <sebastien@ximian.com>

	* nunit.key: New. NUnit private key. Due to build issues the key
	must be present in this directory.

2004-05-20  Raja R Harinath  <rharinath@novell.com>

	* Makefile (SUBDIRS): Move 'monoresgen' ahead of 'class'.

2004-05-17  Raja R Harinath  <rharinath@novell.com>

	* Makefile (all, clean): Remove indirection.
	(clean-profiles): New.

2004-05-13  Jackson Harper  <jackson@ximian.com>

	* Makefile: default build is no longer the multi profile build. Do
	build both 1.1 and 2.0 profiles use the all-profiles target.
	
2004-05-12  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* Makefile: disable net_2_0 on windows. It doesn't build. Don't
	try to build net_1_0 and net_2_0 if we provide a PROFILE=xxx in the
	command line.

2004-05-10  Raja R Harinath  <rharinath@novell.com>

	* INSTALL.txt: Don't mention 'fullbuild'.  Mention 'bootstrap'
	instead.  Update instructions for 'monocharge'.

2004-04-30  Raja R Harinath  <rharinath@novell.com>

	* Makefile (SUBDIRS): Remove 'gmcs' for now.
	(all): Simplify.
	(clean): Quick hack to get 'make clean' to work better.

2004-04-29  Jackson Harper  <jackson@ximian.com>

	* Makefile: Put the PROFILE= stuff before the target, this is more
	pleasurable to cygwin users.
	
2004-04-28  Jackson Harper  <jackson@ximian.com>

	* Makefile: build the net_1_1 and net_2_0 profiles by default.
	
2004-01-14  Martin Willemoes Hansen  <mwh@sysrq.dk>

	* INSTALL.txt: Fixed, autogen should be autogen.sh

2003-12-01  Cesar Lopez Nataren  <cesar@ciencias.unam.mx>

	* Added dirs mcs/jtest and mcs/jerrors.

2003-10-28 Jackson Harper <jackson@ximian.com>

	* INSTALL.txt: Tell users where to find monocharges, do not
	reference README.building.
	
2003-07-22  Peter Williams  <peter@newton.cx>

	* README: INSTALL.txt, not INSTALL.

2003-07-20  Peter Williams  <peter@newton.cx>

	* nunit20/nunit-console/Makefile (PROGRAM): Put nunit-console.exe
	in $(topdir)/class/lib so we can find our DLL's.

2003-07-18  Peter Williams  <peter@newton.cx>

	* build/library.make (dist-local): Fancy make dist magic gives
	way to boring old 'for'.

	* build/executable.make (dist-local): Ditto.

2003-07-17  Peter Williams  <peter@newton.cx>

	* build/profiles/default.make: Actually fix this. Use the platform
	compiler all the way.

2003-07-17  Peter Williams  <peter@newton.cx>

	* build/profiles/default.make: Try to make this smarter so
	that we can build on Windows. Specifically, don't require
	the mono runtime. Combined with the corlib $(BOOT_COMPILE) change,
	this should make corlib build out of the box, I think.

2003-07-16  Peter Williams  <peter@newton.cx>

	A whole passel of build system changes. Doc updates:
	
	* build/README.makefiles: Doc updates.

	* build/profiles/net_1_0.make: Doc changes.

	* INSTALL.txt: A few more touchups.

	Better defaults:
	
	* build/config-default.make (prefix): Default install prefix
	should be /usr/local.

	* build/profiles/bootstrap.make: This profile ...

	* build/profiles/default.make: ... is now the default.

	* build/profiles/atomic.make: And the default is now this.

	Fixes for pre-build checks:
	
	* Makefile: Do the platform and (new) profile checks
	before the build, which took some infrastructure changes.

	* build/rules.make: Allow a Makefile to specify its own all/install/etc
	targets.

	* build/profiles/default.make (profile-check): Add a blank
	target here.

	* build/profiles/atomic.make: Check for a full MCS install to 
	build against.

	HP/UX fixes with help from Bernie Solomon:
	
	* build/config-default.make (ECHO_ESCAPE): HP/UX 'echo'
        doesn't need a -e parameter to interpret escape codes. Test for
        that and define a configuration parameter.

        * build/library.make ($(makefrag)): Use $(ECHO_ESCAPE)
        instead of assuming that 'echo -e' will interpret escape
        codes.

        * build/executable.make ($(makefrag)): Here too.

	A make distcheck fix:

	* Makefile: Inherit the current prefix so that the build can
	find the right System.Xml.dll.
	
	And Windows build fixes with the invaluable help of Sebastian
	Pouliot (in various subdirectories).
	
2003-07-14  Peter Williams  <peter@newton.cx>

	* build/rules.make (dist-recursive): Fix recursive rules
	to work on HP/UX /bin/sh. Patch from Bernie Solomon
	<bernard@ugsolutions.com>.

2003-05-10  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* makefile:
	* makefile.gnu: don't use -C when running make.

2003-05-05 Ben Maurer <bmaurer@users.sourceforge.net>
	* AUTHORS: Added self.

2003-04-15 Nick Drochak <ndrochak@gol.com>

	* makefile: Remove nunit version 1 from build

2002-03-14  Daniel Morgan <danmorg@sc.rr.com>

	* class/makefile.gnu
	* class/ByteFX.Data/makefile.gnu: add ByteFX.Data.dll 
	to the Linux build

2002-03-14  Daniel Morgan <danmorg@sc.rr.com>

	* makefile: added ByteFX.Data.dll to windows install
	
	* class/library.build: added ByteFX.Data.dll 
	to windows build.  added additional clean targets
	
	* class/Microsoft.VisualC/Microsoft.VisualC.build: fix 
	windows clean
	
	* class/ByteFX.Data: added directory for ByteFX.Data.dll
	which includes a MySQL ADO.NET Provider.  
	Contributed by Reggie Burnett <rykr@bellsouth.net>
	from ByteFX, Inc.
	ByteFX.Data 0.6.5 is Copyright 2002-2003, ByteFX, Inc.
	
	Added the following files and directories:
		
	class/ByteFX.Data/AssemblyInfo.cs    
	class/ByteFX.Data/list
	class/ByteFX.Data/ByteFX.Data.build  
	class/ByteFX.Data/makefile.gnu
	class/ByteFX.Data/ChangeLog.txt      
	class/ByteFX.Data/readme.txt
	class/ByteFX.Data/lgpl.txt: new files
		
	BitStream.cs  
	Connection.cs        
	Field.cs        
	Inflater.cs
    ConnectionString.cs  
    HuffmanTree.cs  
    NamedPipeStream.cs
    class/ByteFX.Data/Common: added files to new directory

	Driver.cs     
	command.resx            
	todo.txt
	CommandBuilder.cs  
	Exception.cs  
	dataadapter.cs           
	transcaction.cs
	Connection.cs      
	Field.cs      
	datareader.cs
	Connection.resx    
	MysqlDefs.cs  
	parameter.cs
	class/ByteFX.Data/mysqlclient: added files to new directory

	command.cs    
	parameter_collection.cs
	class/ByteFX.Data/mysqlclient/Designers: added files to new directory
	
2003-03-14  Daniel Morgan <danmorg@sc.rr.com>

	* makefile: add ilasm.exe to windows build and add missing assemblies
	to windows install
	
	* class/library.build: include PEAPI.dll, Npgsql.dll, and
	ICSharpCode.SharpZipLib part of the windows build

2003-03-10  Martin Willemoes Hansen <mwh@sysrq.dk>
	* Fixed some spelling errors in class/doc/TemplateTest.cs

2003-03-04  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* makefile: added Mono.Posix and System.Management.

2003-02-16  Martin Baulig  <martin@ximian.com>

	* docs/compiler: Added a few works about the new `Location' code.

2003-02-15  Nick Drochak  <ndrochak@gol.com>

    * makefile.gnu: Add testcorlib target to run just the corlib unit tests.

2003-02-10  Nick Drochak  <ndrochak@gol.com>

	* makefile: Add testcorlib target to run just the corlib unit tests.

2003-01-16  Nick Drochak <ndrochak@gol.com>

	* makefile.gnu: Add corlib target to just build that.

2003-01-14  Duncan Mak  <duncan@ximian.com>

       * ilasm/parser/ScannerAdapter.cs: Remove the cleanup method now that
       it's no longer in the interface.

2003-01-13  Duncan Mak  <duncan@ximian.com>

	* ilasm/parser/ScannerAdapter.cs: Implement the new cleanup method
	in the tokenizer. This fixes the build.

2003-01-10  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* README.building: New file.
	* makefile.gnu: install README.building file.

2003-01-09  Sebastien Pouliot  <spouliot@videotron.ca>

	* AUTHORS: add myself to class library list

2002-12-15  Alp Toker  <alp@atoker.com>

	* makefile.gnu: make sure mcs is in PATH, otherwise tell user to read
	INSTALL.txt

2002-12-10  Daniel Morgan <danmorg@sc.rr.com>

	* makefile
	* tools/makefile
	* tools/makefile.gnu: change target
	from SqlSharpCli.exe
	to sqlsharp.exe

2002-12-10  Alp Toker  <alp@atoker.com>

	* ilasm/makefile.gnu: Install ilasm executable with -m 755, not 644
	* ilasm/makefile: ditto

2002-12-10  Gaurav Vaish  <gvaish_mono@lycos.com>

	* AUTHORS: Corrected my email-ID.

2002-11-29  Daniel Morgan  <danmorg@sc.rr.com>

	* INSTALL: renamed to INSTALL.txt because INSTALL 
	interferred with "make install" on windows
	
	* makefile: changes to get "make install" work 
	on windows
	
	* class/makefile.gnu: flush
	
	* ilasm/makefile: updated for windows build
	
	* monoresgen/makefile: updated for windows build
	
	* tools/SqlSharp/SqlSharpCli.build: flush
	
	* winexe.in: add file to be template for executable assemblies
	to be installed on windows via "make install" by providing
	a script that runs mono and the assembly 
	like mcs runs mono mcs.exe 
	
2002-11-28  Daniel Morgan  <danmorg@sc.rr.com>

	* makefile.gnu: added tools directory to linux build

	* tools/makefile.gnu: added new file to built tools and install.
        dist works too.  test is just blank.

2002-11-16  Martin Baulig  <martin@ximian.com>

	* makefile.gnu: `binary-snapshot' is now an alias for `dist'.
	Please update your scripts, the `dist' target will disappear soon.

2002-11-09  Nick Drochak  <ndrochak@gol.com>

	* makefile: have test target be smart about windows/linux

2002-11-07  Nick Drochak  <ndrochak@gol.com>

	* makefile: for the clean target, handle linux and windows differently.

2002-10-13  Daniel Morgan <danmorg@sc.rr.com>

	* class/library.build: added Mono.Data.SqliteClient
	directory to windows build

2002-10-10  Daniel Morgan <danmorg@sc.rr.com>

	* class/library.build: added Mono.Data.MySql directory to windows build.

2002-10-10  Rodrigo Moya <rodrigo@ximian.com>

	* class/makefile.gnu: added Mono.Data.MySql directory to linux build.

2002-10-09  Rodrigo Moya <rodrigo@ximian.com>

	* class/makefile.gnu: added System.Data.Odbc directory.

2002-09-14  Piers Haken <piersh@friskit.com>

	* */makefile.gnu:
		use $(topdir)
		build nunit into $(topdir)/class/lib

2002-08-27  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* makefile.gnu:
	* class/library.make:
	* class/makefile.gnu:
	* class/I18N/makefile.gnu
	* class/corlib/makefile.gnu:
	* class/corlib/Test/ChangeLog:
	* class/corlib/Test/corlib_linux_test.args:
	* class/corlib/Test/makefile.gnu:
	* class/corlib/Test/run_test.sh:
	* jay/makefile.gnu:
	* mcs/makefile.gnu:
	* monoresgen/makefile.gnu:
	* nunit/makefile.gnu:

	Allow running 'make -f makefile.gnu test' from top directory.
	In the libraries makefile.gnu you just have to add TEST_DIR=dirname
	with the name where tests reside.

2002-08-23  Martin Baulig  <martin@gnome.org>

	* class/makefile.gnu: Add class/Mono.CSharp.Debugger to the build.

2002-08-13  Piers Haken <piersh@friskit.com>

	* class/library.make: merge back original makefile.gnu behavior
	* */makefile.gnu: merge back original makefile.gnu behavior

2002-08-12  Piers Haken <piersh@friskit.com>

	* class/library.make: use 'find' to specify source files, instead of static files
	* */makefile.gnu: specify include/exclude patterns for source files

2002-08-07  Peter Williams  <peterw@ximian.com>

	* class/library.make (.makefrag): Fix this rule a bit; was using
	$^ instead of $<

2002-07-29  Peter Williams  <peterw@ximian.com>

	* makefile.gnu: 'make install' wasn't actually working due to $@,
	fix it.

2002-07-29  Martin Baulig  <martin@gnome.org>

	* makefile.gnu: Don't force people to install.  The default must also
	be `all' and not `install'.

2002-07-26  Alp Toker  <alp@atoker.com>

	* INSTALL: Wrote a guide to mcs installation.
	* README: Updated to reflect the new INSTALL guide.

2002-07-23  Alp Toker  <alp@atoker.com>

	* makefile.gnu: Added an install target (which sets permissions and
	respects prefix) and a dist target which produces a tarball. Also
	fixed a few other makefile issues.

2002-07-22  Peter Williams  <peterw@ximian.com>

	* class/library.make: Oops, the deps weren't right -- touching a .cs
	file didn't cause the libraries to be rebuilt.
	(clean): Robustify this rule a bit.

2002-07-20  Martin Baulig  <martin@gnome.org>

	* class/makefile.gnu: Added System.Data.

2002-07-20  Martin Baulig  <martin@gnome.org>

	* class/library.make: Put $(MONO_PATH_PREFIX) in front of the MONO_PATH.

	* class/*/makefile.gnu: Set MONO_PATH_PREFIX=../lib:

2002-07-19  Martin Baulig  <martin@gnome.org>

	* makefile.gnu (DIRS): Added nunit.

2002-07-19  Martin Baulig  <martin@gnome.org>

	Added the super-cool set of makefiles from Peter Williams which run on
	GNU/Linux without NAnt.  I named them `makefile.gnu' and not `GNUmakefile'
	since this won't break the windows build.

	To compile stuff on GNU/Linux, just do a `make -f makefile.gnu'.

	* mcs-tool, */makefile.gnu, class/library.make: New files.

2002-07-19  Martin Baulig  <martin@gnome.org>

	* */makefile (NANT): Use a variable `NANT' so the user can override it with
	`make NANT=/usr/local/bin/NAnt.exe'.

2002-05-09  Daniel Morgan <danmorg@sc.rr.com>

	* AUTHORS: add me to class libraries list

2002-03-26  Dick Porter  <dick@ximian.com>

	* makefile (linux): Abandon the build if any of the subdir makes fail

2002-03-07  Nick Drochak  <ndrochak@gol.com>

	* makefile: Change order of build so corlib is built before nunit since
	Nunit needs corlib now.

2002-02-14  Nick Drochak  <ndrochak@gol.com>

	* makefile: Build mcs/doctools too when one does 'make'

2002-01-20 Nick Drochak  <ndrochak@gol.com>

	* on the 'test' target, make sure NUnit is built first before building
	and running tests

2002-01-20 Nick Drochak  <ndrochak@gol.com>

	* add nunit directory to the list of dirs to build in
